%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define _binaries_in_noarch_packages_terminate_build 0

Name: insights-coordinator-ap
Version: 1.0.1
Release: 1%{?dist}
Summary: AP Insights Client Coordinator
Source0: %{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/System
BuildArch: noarch
Vendor: Red Hat, Inc.
URL: https://access.redhat.com/insights

Requires: python
Requires: tar
Requires: redhat-access-insights >= 1.0.7
BuildRequires: python,python-setuptools

%description
AP Insights Client Coordinator

%prep
%setup -q

%install
rm -rf ${RPM_BUILD_ROOT}
$(which python) setup.py install --root=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_sitelib}/insights_coordinator_ap*.egg-info
%{python_sitelib}/insights_coordinator_ap/*.py*
%config(noreplace) /etc/redhat-access-insights/*.conf
/etc/redhat-access-insights/insights-coordinator-ap.cron
/usr/bin/insights-coordinator-ap

%doc
/usr/share/man/man8/*.8.gz
/usr/share/man/man5/*.5.gz
